
SPIP-Core v3.2.18 -> v3.2.19 (2023-02-28)
-----------------------------------------

SPIP-plugins-dist v3.2.18 -> v3.2.19 (2023-02-28)
-------------------------------------------------

SVP | d463bc5 | marcimat       | 2023-02-28 | fix: Correction des ordres (_todo) adressées à SVP


SPIP-Core v3.2.17 -> v3.2.18 (2023-02-27)
-----------------------------------------

d6d9e10e6 | cedric         | 2023-02-27 | fix: Sanitizer toutes les valeurs passées aux formulaires preventivement dans l'écran de sécurité
5aedf49b8 | cedric         | 2023-02-27 | Fix: Sanitizer toutes les valeurs passées aux formulaires


SPIP-Core v3.2.16 -> v3.2.17 (2023-01-13)
-----------------------------------------

33ab5bdf8 | glopglop       | 2022-12-22 | fix: délai de 48 h et non pas de 48 jours pour vider les contextes Ajax
e0422948c | cedric         | 2022-02-03 | Fix #5021 et #5022 : - mieux decouper les chaines y compris dans le cas des simples quote echappes par sqlite - echapp..
d8a262bba | cedric         | 2022-08-25 | fix: verifier le format de oups avant de le passer à objet_associer

SPIP-plugins-dist v3.2.16 -> v3.2.17 (2023-01-13)
-------------------------------------------------

Dist | fea5568 | cedric         | 2022-10-20 | fix: ne pas permettre de changer le mot de passe d'un auteur dont le login est vide + passer par `auth_identifier_logi..



SPIP-Core v3.2.15 -> v3.2.16 (2022-07-21)
-----------------------------------------

 72f51177c | marcimat       | 2022-07-13 | fix: Compatibilité PHP 5.4
 793f28ac6 | cedric         | 2022-07-12 | fix: envoyer un CSP sandbox sur tous les documents de IMG
 7993f2a97 | cedric         | 2022-07-13 | fix: mise a jour de l'écran de sécurité
 18b4b2533 | cedric         | 2022-07-12 | fix: utiliser un base64_decode strict sur _oups et dans tous les cas echapper son contenu par entites_html + ignorer l..
 2e71a6596 | cedric         | 2022-07-12 | fix: Signaler visuellement les liens javascript dans les zones editoriales #wysiwyg ou .wysiwyg
 026ff873e | cedric         | 2022-07-12 | fix: ne pas faire tourner les aleas et le hash du password quand on veririe le pass de l'auteur connecte, car cela inv..
 eba0c9413 | cedric         | 2022-07-07 | feat: une fonction `auth_controler_password_auteur_connecte()` pour contrôler facilement le password de l'auteur conne..
 444220ba6 | cedric         | 2022-05-23 | fix(spip-team/securite#4831) Lever le flag `espace_prive=1` quand on calcule un traitement via la balise `#INFO_` dans..
 37beb3dd7 | bruno          | 2022-06-27 | fix: compat PHP<7 ne pas utiliser l'opérateur ?? en 3.2
 
SPIP-plugins-dist v3.2.15 -> v3.2.16 (2022-07-21)
------------------------------------------------

Medias | 8014d6d | cedric         | 2022-07-12 | fix: ajouter une class wysiwyg sur les zones ou l'on affiche CREDITS et/ou DESCRIPTIF pour permettre le signalement de..
Medias | 526dcb7 | cedric         | 2022-07-07 | fix: appliquer _TRAITEMENT_TYPO sur le champs CREDITS et renseigner le flag espace_prive quand on affiche la liste des..
SVP    | 3390c60 | marcimat       | 2022-07-20 | fix: Déplacer le champ password en tête pour éviter qu’un input le précédent soit autocomplété comme un champ de login
SVP    | cb1c208 | marcimat       | 2022-07-13 | fix: Compatibilité PHP 5.4
SVP    | c1e8d0e | marcimat       | 2022-07-12 | fix: Les champs password sont obligatoires. Suite de bf5756e
SVP    | 7ddc9b5 | cedric         | 2022-07-07 | fix: securisation du formulaire d'upload d'un plugin depuis un zip arbitraire ainsi que du formulaire d'ajout de nouve..



SPIP-Core v3.2.14 -> v3.2.15 (2022-05-20)
-----------------------------------------

 8283532c9 | claffont       | 2022-04-20 | Suppression de l'argument `formulaire_action_sign` dans l'url ACTION Ticket #5155
 2ce34e62e | cedric         | 2022-04-13 | Incrementer spip_version_code pour recompiler les squelettes
 ac67fc5be | cedric         | 2022-04-13 | Securiser le retour de nettoyer_titre_email quand il est utilisé dans un squelette (Louka) https://git.spip.net/spip-t..
 901f58302 | cedric         | 2022-04-13 | Masquer aussi les cookies sensibles dans $_SERVER['HTTP_COOKIE'] et $_ENV['HTTP_COOKIE'] (suite de #54 et https://git...
 871777b0f | cedric         | 2022-04-13 | echapper sel_db avant de la reinserer dans une hidden (mais c'est assez theorique car si on arrive la c'est qu'on a re..
 754677579 | cedric         | 2022-04-13 | securiser HTTP_HOST et REQUEST_URI dans url_de_base() https://git.spip.net/spip-team/securite/issues/3728
 97845aa30 | cedric         | 2022-04-13 | Utiliser \b plutot que \s pour etre plus robuste sur la regexp de _PROTEGE_BLOCS https://git.spip.net/spip-team/securi..
 d99890f66 | cedric         | 2022-04-13 | securiser la construction de la regexp dans parametre_url https://git.spip.net/spip-team/securite/issues/3702
 e9a03a38d | cedric         | 2022-04-13 | securiser l'affichage de erreur quand il arrive de l'url https://git.spip.net/spip-team/securite/issues/3698
 772a4baed | cedric         | 2022-04-13 | Securiser l'usage des var_mode_xx dans le debuggueur https://git.spip.net/spip-team/securite/issues/3602
 b28e1f9a3 | cedric         | 2022-04-13 | spip_htmlspecialchars() sur tous les affichages de variable dans le html + filtrer $adresse_ldap https://git.spip.net/..
 edb6a01c6 | cedric         | 2022-04-13 | ne pas accepter un test_dir avec des .. dedans lors du test des repertoires en ecriture https://git.spip.net/spip-team..
 3b99287c9 | rastapopoulos  | 2022-03-06 | Fix #5076 : réparer la fonction buguée en n'utilisant jamais les clés raccourcis qui sont non fiables, mais les autres..
 
SPIP-plugins-dist v3.2.14 -> v3.2.15 (2022-05-20)
------------------------------------------------

 SVP | bf0ff95 | cedric         | 2022-04-13 | Echapper l'url dans le html affiche https://git.spip.net/spip-team/securite/issues/3733



SPIP-Core v3.2.13 -> v3.2.14 (04 Mars 2022)
--------------------------------------------

SPIP-plugins-dist v3.2.13 -> v3.2.14 (04 Mars 2022)
----------------------------------------------------

medias                  | e4a3137 | marcimat     | 2022-03-04 | Pas de typage pour les vieux PHP
medias                  | 3014b84 | marcimat     | 2022-02-22 | Déprécier et sécuriser l’insertion d’une galerie dans le formulaires d’ajout de document. Ce mode n’est plus utilisé d..
mots                    | 844893f | bitbucket    | 2022-02-11 | un point d'interrogation pour le id_groupe qui permet d'afficher les groupes que l'on souhaite dans un formulaire d'as..
squelettes-dist         | 93cee41 | marcimat     | 2022-02-24 | Report de 8505e7c0ed9118ee31 qui était dans la dist, et non reporté du squelette neodist


SPIP-Core v3.2.12 -> v3.2.13 (02 Février 2022)
-----------------------------------------------

9ed1818f1 | cedric       | 2022-02-02 | Verifier qu'on a bien le droit de modifier le login avant d'accepter un post sur cette variable
dec69cb7d | marcimat     | 2022-02-02 | Les tags de chaque plugin dist dans plugins-dist.json
39fbb0a8e | jamesrezo    | 2022-01-26 | feat(header_silencieux) : ajout et application du filtre |header_silencieux (#5010)
00222255b | cedric       | 2022-01-04 | Ne pas stocker formulaire_action_sign dans les configurations des plugins... (hum)
e48c92558 | bruno        | 2021-12-03 | prise en charge des fichiers .jpeg lors de l'ajout d'un document distant
b2f8e3a59 | cedric       | 2021-12-29 | appliquer rawurlencode() aussi sur les tableaux qu'on passe en argument de parametre_url() #4819
f1b7feae8 | cedric       | 2021-12-17 | Eviter une indefinie si get_spip_script() est appelé depuis mes_options, avant que la constante _SPIP_SCRIPT soit defi..
b6236a92e | bruno        | 2021-12-16 | rétablir le traitement _TRAITEMENT_TYPO_SANS_NUMERO (multi, supprimer_numero, etc) sur la balise #NOM des auteurs
712f5b5df | cedric       | 2021-03-18 | Rediriger sans boucle infinie quand on a un probleme de var_mode (probleme qui arrive parfois sur une install un peu b..
d793f599e | cedric       | 2021-12-16 | sur certains sites on veut absolument garder certains caches on peut donc inhiber la purge de ces répertoires pour evi..
c4a362f35 | taffit       | 2021-12-14 | Drop misplaced changelog


SPIP-plugins-dist v3.2.12 -> v3.2.13 (02 Février 2022)
-------------------------------------------------------

squelettes-dist         | f872fdb | marcimat     | 2022-02-02 | Version 3.2.5
squelettes-dist         | ae985dd | james        | 2022-01-26 | feat(header_silencieux) : application du filtre |header_silencieux


SPIP-Core v3.2.11 -> v3.2.12 (14 December 2021)
-----------------------------------------------

19c3592b9 | cedric        | 2021-12-07 | Ameliorer valider_url_distante() : on utilise filter_var plutot que des regexp et on ajoute un controle sur le TTL du ..
685a2c0bd | cedric        | 2021-11-03 | Le plugin mots et son formulaire editer_mot() contient encore du vieux code pas reformate, reactivons donc cette featu..
28c2cd60b | cedric        | 2021-10-21 | Lors de l'upload de documents, gerer le cas des fichiers avec multiples extensions : on ne laisse que celles qui sont ..
aefb90d6a | cedric        | 2021-10-21 | Il faut incrementer spip_version_code car tous les formulaires doivent etre recalcules
299219036 | cedric        | 2021-10-21 | Oups, erreur dans 1b8e4f404 il faut utiliser empty car on poste potentiellement une signature vide (empechait de se lo..
361cc2608 | cedric        | 2021-10-06 | Nom, nom_site et bio etant des champs librement modifiables par les utilisateurs, on les protege comme des forums, via..
fea5b5b45 | cedric        | 2021-10-06 | Balise #FORMULAIRE : nettoyer du code mort qui ne sert plus, ameliorer la securite en ajoutant une signature des argum..
a4fdb3b8e | cedric        | 2021-09-27 | Complement de 413ca3cc58 : _mysql_traite_query() s'appelle recursivement, elle ne doit echapper les textes qu'au premi..
96e283e4a | cedric        | 2021-09-17 | Simplifier la regexp, c'est pas plus mal (cfreal)
fca83dc95 | cedric        | 2021-09-06 | Fix/refactoring query_echappe_textes() qui ne detectait parfois pas completement et correctement les chaines On robust..
1a3fda815 | cedric        | 2021-07-07 | Une constante _HTML_BG_CRON_INHIB permet d'inhiber l'insertion du markup html pour lancer le cron via une image backgr..
e2d9ac340 | pierretux     | 2021-09-06 | Ticket #4878 : Mise à jour du code de http_status pour utiliser directement la function de php
f3ddc3f10 | cedric        | 2021-08-12 | Petit bug vicieux sur le bouton de vidage de cache quand on est en mode _CACHE_CONTEXTES_AJAX : - le bouton 'vider le ..
8eecb049c | marcimat      | 2021-07-08 | Ticket #4845 : on déclare la branche correspondante dans la liste des plugins-dist de cette distribution.
a63f9e608 | marcimat      | 2021-07-06 | Ticket #4842 : Renommage de source_champ en index_champ, déclaration dans la classe Boucle et phpdoc. Éventuellement s..
ae4f817fc | cedric        | 2021-07-06 | Fix #4842 : utiliser la meme boucle source pour le calcul des filtres d'une balise que celle utilisee pour la valeur d..
50e30a4b5 | cedric        | 2021-07-06 | coquille dans la typo, ca craint (vue via https://core.spip.net/issues/4513)
7969d18f6 | maieul        | 2020-10-16 | Permettre de surcharger les constantes de traitement typo sans provoquer de notice. Exemple de plugin qui utilise cela..
c7091877a | marcimat      | 2019-08-27 | Ticket #4353 : On adapte les champs déclarés 'TIMESTAMP' en mysql versions récentes (8 par exemple) afin qu’ils se com..
ad29547ec | maieul        | 2021-07-05 | des guillemets autour des attributs
6c200052e | cedric        | 2021-02-18 | Fix #3239 : maintenant qu'on sait gerer l'erreur cote js en cas de perte de contexte ajax, on peut purger les contexte..
11821bec9 | cedric        | 2021-02-18 | Quand un contexte ajax est invalide (corrompu ou trop long, ou on a vide le cache sur le disque), renvoyer une erreur ..
ebe3911aa | cedric        | 2021-02-18 | Fix #4374 : traduire a la volee le current_timestamp() introduit par MariaDB mais que SQlite ne connait pas (b_b et ma..
f76082e16 | bruno         | 2021-06-02 | report de 02f7548245985ad40d430d3e8f1f809960a2fcc4 & d07b859fbc7b92bf6d4d9140ced0bf601e2be8d2
ec7a876a0 | cedric        | 2021-05-27 | Fix un bug sur l'autosave qui faisait parfois revenir une valeur pourtant saisie en cas de post ajax et de fichiers se..
3d9882412 | rastapopoulos | 2021-03-14 | Dans l'API générique pour tout objet : passer à calculer_rubrique_if aussi l'info de quel objet on vient de modifié… C..
4d2ea673d | glopglop      | 2021-04-21 | Gestion des alias de boucles dans le traitement des champs.
de928fda2 | maieul        | 2021-04-11 | Permettre à vérification d'une étape spécifique de mettre son propre message d'erreur global.
82cf0ba8d | maieul        | 2021-04-04 | CVT multiétape : permettre l'avance rapide à une autre étape, sans pour autant déclencher d'erreur à l'étape où l'on a..
bcc3c3606 | maieul        | 2021-04-03 | Pipeline saisies_verifier_etapes: passer aussi en argument   - l'étape saisie   - le nb total d'étapes   - l'étape dem..
240ca1577 | maieul        | 2021-04-02 | CVT multiétape : déplacer la recherche de `aller_a_etape` après les vérifications de chacune des étapes passées, qui p..
378975997 | cedric        | 2021-03-22 | Fix #4699 : il faut indiquer une etape_demandee > que le nombre d'etapes pour aller directement a la validation finale..
979babd7f | maieul        | 2021-03-31 | Dans `objet_modifier_champs()` on a une sécurité qui vérifie qu'après la modification de la ligne via `sql_updateq()`,..



SPIP-plugins-dist v3.2.11 -> v3.2.12 (14 December 2021)
-------------------------------------------------------

compresseur             | 374fe22 | cedric       | 2018-09-06 | coquille dans r111480 qui cassait les images de background
filtres_images          | 8005120 | cedric       | 2021-10-04 | Inclusion faite par image_filtrer() pour les filtres images standard mais manquante ici (bennyb)
mediabox                | 94a80ae | maieul       | 2021-04-04 | Comme pour la branche 3.3, éviter l'appel à une fonction match qui n'est pas toujours définie (et poserait des problèm..
medias                  | 1a4b702 | cedric       | 2021-12-07 | Utiliser valider_url_distante() en plus de tester_url_absolue() avant de faire une copie locale sur un document distan..
mots                    | 3258f8f | nicod        | 2021-04-09 | Quand on a beaucoup de groupes de mots clés, un clic sur le titre du groupe dans la colonne de gauche (navigation) ne ..
porte_plume             | c196f81 | rastapopoulos | 2020-12-10 | Tant qu'on n'utilise pas des loaders et classes bien propre, on doit toujours s'assurer que les fonctions qu'on utilis..
porte_plume             | 8ae9b48 | marcimat      | 2021-06-15 | Ticket #4818 : il semble que les fonctions ne sont pas chargées parfois ici (real3t)
safehtml                | 036e2cf | cedric       | 2021-05-12 | Fix https://core.spip.net/issues/4706 : les attributs HTML5 data-xx ne doivent pas etre supprimes par safehtml, on acc..
safehtml                | 9d9da26 | maieul       | 2021-05-07 | SVP est sensible à l'odre des balises dans paquet.xml
safehtml                | d12f7fc | cedric       | 2021-05-07 | Mise a jour du paquet avec credit/procure et increment de version
safehtml                | a63d837 | cedric       | 2021-05-07 | Mise a jour des tests unitaires avec la v1.3.12 de safehtml
safehtml                | accba7a | cedric       | 2021-05-07 | Mise a jour de SafeHTML en version 1.3.12 depuis https://bitbucket.org/wackowiki/wackowiki/src/master/wacko/lib/ Inclu..
safehtml                | 3e15768 | cedric       | 2021-05-07 | Un test unitaire pour safehtml avec des string random et un jeu de test xss pour au moins verifier qu'on ne casse rien..
squelettes-dist         | bbf7446 | cedric       | 2021-02-17 | Mise a jour des Disallow/Noindex pour permettres aux robots sociaux d'acceder aux images referencees dans les pages ht..


SPIP-Core v3.2.10 -> v3.2.11 (26 March 2021)
--------------------------------------------

b52a4a5b3 | cedric       | 2021-03-12 | twitterbot est aussi notre ami pour le laisser scraper l'url qu'on veut touitter (fil)
58d5d6190 | cedric       | 2021-02-15 | Report de https://git.spip.net/spip-contrib-outils/securite/commit/e7b571681a92eb40eddabbbb24b45dc472e113c1 qui fix #4..
6611fd50b | cedric       | 2021-02-15 | Report de https://git.spip.net/spip-contrib-outils/securite/commit/3eccaf41426d4f3c8f28b50d81e12fbe5f8af4c2
62d33c975 | marcimat     | 2021-03-26 | Notice-- : Attribut sans ses quotes... (realet)



SPIP-Core v3.2.9 -> v3.2.10 (26 mars 2021)
-------------------------------------------

0b1bd0542 | marcimat      | 2018-09-05 | Compat PHP 7.x : Scorie résiduelle du passage à mysqli. Mais ces fonctions ne semblent plus utilisées.
7621a660a | marcimat      | 2021-03-19 | Retour partiel sur 31df72005 pour compat PHP 5.4 ...
4de4b3c34 | marcimat      | 2021-03-19 | Correction deprecated php 7.4 : ordre de join inversé.
0ea620c9a | marcimat      | 2018-09-05 | Tickets #4059 et #4138 : meilleure compat PHP 7.2
f69b39c9e | marcimat      | 2021-03-18 | Suppression du fichier .gitattributes inutile.
a54ab9a89 | rastapopoulos | 2021-03-14 | Backport de 2e55e3a60e à la main car plus dans le même fichier en 3.3.
bdc53dcc9 | marcimat      | 2021-03-11 | Lorsqu'on déclare un traitement à un champ de rubrique, tel que `$table_des_traitements['DEMO']['rubriques'] = ...`, c..
510983b09 | cedric        | 2021-03-09 | Fix https://core.spip.net/issues/4442 : le vieux parseur xml a la main (qu'il faudrait virer) ne tolerait pas l'utilis..
31df72005 | marcimat      | 2021-03-05 | Suite de e11b28be4 : plus éviter une fatale en PHP 8 si unicode2charset cherche à utiliser un charset inexistant
00c2038da | marcimat      | 2021-03-05 | Correction d'une Fatale Suite à 27e4f1bcc. C'est sport mais le commit ajoute des accents dans le squelettes prive/sque..
e380b0afd | cy.altern     | 2021-03-04 | report a4cdf3b633
916b67198 | marcimat      | 2021-03-04 | Ticket #4348 : Compat PHP 7.4 (deprecated curly braces array)
910c245ea | marcimat      | 2020-03-26 | Compat PHP 7.4 : éviter une notice lorsque la pagination ne trouve aucune entrée.
1b5549e51 | marcimat      | 2019-08-26 | Ticket #4348 : Compat PHP 7.4 (notice).
c5492ea3e | marcimat      | 2019-08-26 | Ticket #4348 : Compat PHP 7.4 (deprecated curly braces array)
da6dfc068 | marcimat      | 2019-08-26 | Ticket #4348 : Compat PHP 7.4, Trying to access array offset on value of type null.
db1814dc5 | marcimat      | 2019-08-25 | Compat PHP 7.4, Deprecated:  Array and string offset access syntax with curly braces (Francky)
330eb930f | marcimat      | 2019-06-17 | Ticket #4348 : Correction pour PHP 7.4 (Left-associative ternary operator deprecation)
130ada180 | marcimat      | 2018-02-09 | Compatibilité PHP 7.2 : create_function => function xxx each => key, current, next
8075d79f2 | marcimat      | 2017-12-11 |  Ticket #4059 : Compat PHP 7.2, remplacer un create_function.
061107f80 | marcimat      | 2017-12-11 | Ticket #4059 : Compat PHP 7.2, remplacer des create_function.
af94fa5d9 | marcimat      | 2017-12-11 | Ticket #4059 : Compat PHP 7.2, remplacer des create_function. (encore un eval du coup).
e7fe0d5aa | marcimat      | 2017-12-11 | Ticket #4059 : Compat PHP 7.2, remplacer des create_function.
49f24e83b | marcimat      | 2017-12-11 | Ticket #4059 : Compat PHP 7.2. Un create_function de moins. Pour le coup, ça semble obligé ici de conserver une évalua..
6555cb7b4 | marcimat      | 2021-03-04 | Report adapté de 5647069fb (Meilleure compat PHP 7.3)
fcb3e1f5e | marcimat      | 2019-08-21 | Ticket #4348 : Notices/Warning en PHP 7.3+ : éviter un appel à time() avec un argument.
31c614782 | bruno         | 2020-03-13 | report adapté de a0c24ecb6f8c1d70dce86b859eb448fb0415d869
60d4d3d1f | cedric        | 2021-02-17 | Fix vraiment #4167 : _deja_loge peut contenir un js de redirection et doit donc etre non filtre par interdire_scripts()
7046e391d | cedric        | 2021-02-17 | Fix #4387 : Revert "Fix #4167 : éviter d'afficher le script de redirection js quand le form de login est utilisé en aj..
03cc99fce | cedric        | 2021-02-17 | Fix l'utilisation du niveau de log 0 (maieul) cf https://git.spip.net/spip/spip/pulls/106
62e4284fd | bruno         | 2021-02-10 | éviter un plantage avec url_page quand on utilise une fonction perso pour generer_generer_url_XXX
0281d90f2 | maieul        | 2021-02-10 | fix #4633, ne pas passer une date quotée au pipeline optimiser_base_disparus


SPIP-plugins-dist v3.2.9 -> v3.2.10 (26 mars 2021)
---------------------------------------------------

aide                    | 329cfce | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
archiviste              | de3283f | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
breves                  | 668efb9 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
breves                  | 658f025 | maieul       | 2021-02-10 | Adaptation du code au fix du core https://core.spip.net/issues/4633
compagnon               | d8aaa96 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
compresseur             | 08b96ff | marcimat     | 2021-03-24 | Mise à jour de CSSTidy en version 1.7.3
compresseur             | 30d1b1f | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
compresseur             | 827ba88 | marcimat     | 2018-09-05 | Tickets #4059 et #4138 : meilleure compat PHP 7.2
dump                    | d767e27 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
filtres_images          | eb9ace8 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
forum                   | cb90b1a | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
jquery_ui               | b04572e | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
mediabox                | bcadf3d | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
medias                  | d096d93 | marcimat     | 2021-03-26 | Report de d1ca0c8c : Suite de 890506eb99 : Il faut ajouteur la classe .portfolios__titre aux autres blocs documents du..
medias                  | 4e13bea | cedric       | 2021-03-25 | Fix regression (Maieul via https://git.spip.net/spip/medias/pulls/17)
medias                  | 1d917cd | spip.franck  | 2020-07-12 | - Mise à jour de la lib getid3 en 1.9.20, nous étions en 1.9.18 - Le changelog est dispo ici: https://github.com/James..
medias                  | e019d3e | spip.franck  | 2019-09-20 | Mise à jour de la lib getid3 en 1.9.18, nous étions en 1.9.16. Le changelog est dispo ici: https://github.com/JamesHei..
medias                  | 2dc03d5 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
mots                    | 6a346ba | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
organiseur              | a7177ba | marcimat     | 2021-03-19 | Correction join à l'envers.
organiseur              | 7c665fc | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
petitions               | 2909a25 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
plan                    | e722c87 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
porte_plume             | 0003d09 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
revisions               | 1d88a68 | bruno        | 2018-09-15 | retour sur r111482 : éviter une erreur Maximum execution time
revisions               | 2f2d47c | marcimat     | 2018-09-05 | Tickets #4059 et #4138 : meilleure compat PHP 7.2
revisions               | 535cb2f | marcimat     | 2018-09-15 | Correction sur r111486 (compat PHP 7.2, suppression each()) qui était erronné.
revisions               | aa56bf3 | marcimat     | 2018-09-05 | Ticket #4138 : Compatibilité PHP 7.2
revisions               | df4b821 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
revisions               | 19c0b6c | marcimat     | 2019-08-21 | Ticket #4348 : Compat PHP 7.4+ Deprecated: The behavior of unparenthesized expressions containing both '.' and '+'/'-'
safehtml                | b2853a1 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
safehtml                | 6e81e13 | marcimat     | 2019-08-26 | Tiket #4348 / Compat PHP 7.4 : Array and string offset access syntax with curly braces is deprecated
sites                   | 622387c | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
squelettes_par_rubrique | 357b283 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
statistiques            | 291386b | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
svp                     | a3c6abf | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
svp                     | 9fd9349 | marcimat     | 2019-08-25 | Compat PHP 7.4, Deprecated:  Array and string offset access syntax with curly braces (Francky)
textwheel               | 8f70594 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
textwheel               | 84d32c5 | cedric       | 2018-09-06 | create_function est deprecie en PHP 7.2, on reecrit donc l'optimisation des subwheels via une fonction anonyme de type..
textwheel               | 1bf8732 | marcimat     | 2018-02-09 | Compat PHP 7.2 : create_function => function (les plus simples, mais il en reste !…)
urls_etendues           | be9066b | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
vertebres               | a381bc9 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.
squelettes-dist         | 6323be9 | marcimat     | 2021-03-18 | Suppression du fichier .gitattributes inutile.



SPIP-Core v3.2.8 -> v3.2.9 (12 février 2021)
---------------------------------------------

c965889bc | cedric        | 2021-02-10 | Fix #4316 : la PR a ete fermee sur github quand on est passe a git.spip.net je suppose
c76c39a6e | cedric        | 2021-02-10 | nonsense code, copie colle surement, fix #4315
93a917a4d | cedric        | 2021-02-10 | Fix #4140 (deja fixe en 3.3)
7246f1966 | cedric        | 2021-02-08 | Fix #3869 (ou du moins on espere, sinon c'est pas si grave)
55bc9fd5d | erational     | 2021-02-08 | [bugfix] empecher warning sur le count de l'iterateur devrait resoudre le ticket https://core.spip.net/issues/4450 et ..
42898eb47 | rastapopoulos | 2021-02-05 | Corrige 4401 en améliorant la rustine déjà en place
24eda3678 | cedric        | 2021-02-05 | nettoyer l'adresse site qu'on enregistre fix #4629
bb69f3466 | bruno         | 2021-02-05 | ne pas stocker le champ ldap_password dans les fichiers de session
2269d0a6a | cedric        | 2021-02-01 | appels a autoriser sur les formulaires editer, a minima quand on les utilise en modification d'un objet existant depui..
610c24f06 | cedric        | 2021-02-02 | Eviter d'utiliser une globale, gerer le flag en static avec operations de lecture+reset
a8493a3ce | cedric        | 2021-02-01 | Eviter de donner sa langue au chat
f9d9e5b1a | cedric        | 2021-02-01 | on accepte pas une fonction de config inconnue si elle vient d'un modele
962a95f44 | cedric        | 2021-02-01 | Utiliser contexte_compil pour reperer les appels a executer_balise_dynamique() venant d'un modele, et lever un flag le..
c35edb769 | cedric        | 2021-02-01 | une fonction pour detecter qu'un formulaire a ete inclu via un modele et non directement via une balide #FORMULAIRE_xxx
577ad8d21 | bruno         | 2021-01-21 | éviter d'afficher n'importe quoi dans le message d'édition concurrente
f1f27e9f7 | bruno         | 2021-02-01 | attribut_html() sur les attributs renvoyés par env_to_params() & env_to_attributs()
6c6b6c6d4 | nicod         | 2021-01-06 | Stocker les contextes dans des fichiers en cache si la longueur de l’argument géneré est plus long que ce qui est tolé..
2be11db95 | bruno         | 2020-10-25 | fix undefined index sur l'action réparation de la base



SPIP-plugins-dist v3.2.8 -> v3.2.9 (12 février 2021)
-----------------------------------------------------

breves                  | ba1e040 | cedric       | 2021-02-04 | verifier l'autorisation de modifier la breve passe en argument
mediabox                | 9020d16 | cedric       | 2021-02-08 | #4625 : echapper les valeurs injectees dans le js via les parametres mediabox, c'est plus propre
medias                  | 96bf7b2 | cedric       | 2021-02-04 | Verifier l'autorisation de modifier les documents passes en argument du formulaire
medias                  | bfc3319 | cedric       | 2021-01-20 | Report de 049dee8 : Extraire la fonction de determination automatique du statut d'un document dans une fonction inc_de..
medias                  | 9764525 | cedric       | 2021-01-19 | Normaliser le comportement de document_instituer() en appelant les pipelines pre_editon et post_edition avec action=in..
medias                  | 2293b84 | tcharlss     | 2021-01-19 | Report de 890506eb99 : Pour le JS des modes d'affichages, cibler plus précisément l'élément, sinon les boutons peuvent..
mots                    | 0955e0d | cedric       | 2021-02-04 | Verifier les autorisations de modifier les mots/groupes de mots passes en argument du formulaire d'edition
revisions               | e573977 | bruno        | 2020-10-23 | éviter un warning dans les révisions lors de la suppression d'un lien par une personne non identifiée
sites                   | 28bdb59 | cedric       | 2021-02-10 | Fix #4296 : l'url peut etre dans le href meme si c'est pas un link autofermant...
sites                   | 92994f3 | cedric       | 2021-02-04 | verifier l'autorisation de modifier le site passe en argument du formulaire d'edition
sites                   | 638ceef | cedric       | 2020-12-18 | Fix le id_mot manquant sur les syndic_articles. Ce n'est pas un usage frequent, mais il existe et soyons homogene avec..
textwheel               | 317b045 | rastapopoulos | 2021-02-05 | Correction de 4508 : on ne gère le caption/summary *réellement* qu'en première ligne, seulement si on n'a pas déjà gén..


SPIP-Core v3.2.7 -> v3.2.8 (29 septembre 2020)
----------------------------------------------
a5cda7ff8 | cedric        | 2020-09-17 | Si une page preview est visualisee dans un element embed on sandbox l'element et on redirige sur la home pour eviter t..
6c2e56441 | marcimat      | 2020-09-28 | On intègre plugins-dist.json à la place de .gitsvnextmodules pour lister les plugins-dist. Report de 7306ba9a sans big..
10718d144 | marcimat      | 2020-09-08 | Lorsqu’un champ date contient un souligné, tel que "date_modif_manuelle", permettre d’utiliser les critères {age_modif..
85e8576b4 | nicod_        | 2020-09-11 | issue_4549 (!58)
f868732de | cedric        | 2020-09-11 | #4494 : masquer les cookies sensible de le phpinfo
eaa08a27c | cedric        | 2020-09-11 | Ajouter des logs sur le genie optimiser, dans un log dedie, c'est bien le moins qu'on puisse faire pour savoir un peu ..
978cec0d5 | cedric        | 2020-09-11 | Complement a 52764a1611 : permettre d'utiliser une vue aussi pour une table de liens, en declarant les cles dans table..
8158f8b6f | cedric        | 2020-09-02 | Fix petit cas tordu sur trouver_table() quand on l'utilise sur une vue qui est un filtre d'une table reelle : sql_show..
6418ceb40 | cedric        | 2020-05-27 | cot cot cot...
e593f2fbb | cedric        | 2020-05-27 | _oups donc (aka un base64_encode ca fait pas de mal)
6b5de38ac | cedric        | 2020-05-19 | Divers petites sanitization et une balise manquante #4494
f6cfbce16 | rastapopoulos | 2020-06-24 | Corriger un bug présent dans plusieurs navigateurs, qui fait que ça agrandit tous les fieldsets dès qu'il y a un éléme..
925abdf1d | bruno         | 2020-06-23 | API modifier : passer l'éventuelle la liste de champs fixe au pipeline pre_edition
319b9acbf | bruno         | 2020-06-19 | corriger le filtre singuler_ou_pluriel quand la valeur est 0
44ebe4927 | bruno         | 2020-06-16 | Améliorer le filtre singulier_ou_pluriel pour prendre en compte les valeurs non entières (!41)
bd9957b0b | marcimat      | 2020-06-05 | Sanitiser les préférences utilisateurs. (g0uz)
ae4267eba | cedric        | 2020-06-05 | n'enregistrer que les preferences licites (g0uZ)
0880b517b | cedric        | 2020-05-29 | Fix petite salade autour de la suppression des resultats de recherche trop vieux : - on utilise le champ maj comme ind..
f6e3627c5 | maieul        | 2019-09-19 | filtre |balise_svg > supprimer l'entête XML + effacer pour gagner un peu de place les commentaires XML
f02e933cc | cedric        | 2020-03-11 | class grostitre manquante dans l'echafaudage
db97552ff | cedric        | 2020-02-10 | Permettre de preciser le #SELF utilise par la pagination dans l'appel de la balise pagination, ce qui permet de nettoy..
adda869ce | cedric        | 2020-01-22 | Fix : utiliser propre sur les nom de plugin est dangereux, car certains plugins peuvent enrichir avec un lien et comme..
f7a93668f | ben.spip      | 2019-12-12 | SPIP 3.2.7
d3c2db6b9 | ben.spip      | 2019-12-12 | la 3.2.6 est stable (realet)
a306385cc | ben.spip      | 2019-12-12 | SPIP 3.2.6


SPIP-plugins-dist v3.2.7 -> v3.2.8 (29 septembre 2020)
------------------------------------------------------
aide                    | fe76f13 | spip.franck  | 2020-01-01 | Bonne année "aide" de spip 3.2
archiviste              | 94be628 | spip.franck  | 2020-01-01 | Bonne année "archives" de spip 3.2
breves                  | 7f4e2ac | spip.franck  | 2020-01-01 | Bonne Année "breves" de spip 3.2
compresseur             | 4785c1a | cedric       | 2020-06-04 | Tentative de fix de l'inflation du repertoire local/cache-css : tenir compte des timestamps des fichiers a concatener ..
compresseur             | 2372cf3 | spip.franck  | 2020-01-01 | Bonne Année "compresseur" de spip 3.2
dump                    | 0955b05 | spip.franck  | 2020-01-01 | Bonne Année "dump" de spip 3.2
filtres_images          | 190bf90 | spip.franck  | 2020-01-01 | Bonne année "filtres_images" de spip 3.2
forum                   | 2e18f59 | spip.franck  | 2020-01-01 | Bonne année "forum" de spip 3.2
medias                  | bc5a517 | cedric       | 2020-06-05 | Utilisation des fonctions de sanitization sur galerie et _galerie en lien avec #4494 du core
medias                  | a4484ea | spip.franck  | 2020-01-02 | ajout du cartouche spip avec accord de cerdic (spip 3.2)
medias                  | fa3c5b3 | spip.franck  | 2020-01-01 | Bonne année "medias" de spip 3.2
mots                    | 012f539 | spip.franck  | 2020-01-01 | Bonne année "mots" de spip 3.2
organiseur              | 4a30bd8 | marcimat     | 2020-09-23 | FullCalendar 3.10.2 (c’est vieux, mais des bugs en moins) et Moment 2.29 + Correction sur les rendez vous dont le cale..
organiseur              | 53a76b0 | marcimat     | 2020-09-23 | Notice PHP en moins.
organiseur              | aa7eb97 | spip.franck  | 2020-01-01 | Bonne année "organiseur" de spip 3.2
petitions               | 1f40e1b | spip.franck  | 2020-01-01 | Bonne année "petitions" de spip 3.2
porte_plume             | 57cae2a | cedric       | 2020-08-25 | Deux constantes pour piloter une desactivation partielle ou totale du porte_plume : * `define('_PORTE_PLUME_INSERER_AU..
revisions               | 44d7df8 | spip.franck  | 2020-01-01 | Bonne année "revisions" de spip 3.2
safehtml                | c404945 | spip.franck  | 2020-01-01 | Bonne année "safehtml" de spip 3.2
sites                   | 0f362a7 | spip.franck  | 2020-01-01 | Bonne année "sites" de spip 3.2
squelettes_par_rubrique | 4a70c9f | spip.franck  | 2020-01-01 | Bonne année "squelettes_par_rubrique" de spip 3.2
statistiques            | d64d037 | spip.franck  | 2020-01-01 | Bonne année "statistiques" de spip 3.2
svp                     | dcaf67b | cedric       | 2020-03-31 | Support des logos au format svg en provenance de l'empaqueteur, meme si le paquet.xml reference un png + support de la..
svp                     | 0e1d905 | spip.franck  | 2020-01-01 | Bonne année "svp" de spip 3.2
svp                     | 9f8caf6 | eric         | 2019-12-23 | Utiliser le logo SVG ou PNG si il existe en se servant de la nouvelle balise incluse par Smart-Paquets. Compatible ave..
textwheel               | 77f1aac | cyrille      | 2020-06-11 | éviter un warning lorsqu'il y a une ligne de cellules vides dans un table
textwheel               | 578a21f | cyrille      | 2020-06-11 | éviter un warning lorsqu'il y a une ligne de cellules vides dans un table
textwheel               | 216519a | spip.franck  | 2020-01-01 | Bonne année "textwheel" de spip 3.2
urls_etendues           | b74a272 | spip.franck  | 2020-01-01 | Bonne année "urls_etendues" de spip 3.2
vertebres               | d84a81e | spip.franck  | 2020-01-01 | Bonne année "vertebres" de spip 3.2
squelettes-dist         | ea695c1 | spip.franck  | 2020-01-01 | Bonne Année "dist" de spip 3.2


SPIP-Core spip-3.2.6 -> spip-3.2.7  12 décembre 2019
-------------------------------------------------------------

r24471 | ben       |  (jeu. 12 déc. 2019) | la 3.2.6 est stable (realet) 


SPIP-Core spip-3.2.5 -> spip-3.2.6  10 décembre 2019
-------------------------------------------------------------

r24399 | cedric    |  (lun. 16 sept. 2019) | Mise a jour de l'ecran de securite
r24403 | ben       |  (lun. 16 sept. 2019) | SPIP 3.2.5
r24411 | marcimat  |  (mar. 17 sept. 2019) | Fix #4381 : coquille de priorités d’opérateurs sur un test (Équipement).
r24420 | cedric    |  (mar. 24 sept. 2019) | 2 constantes _SPIP_VERSION_ID et _SPIP_EXTRA_VERSION pour faciliter les tests de version dans les plugins
r24421 | cedric    |  (mar. 24 sept. 2019) | coherence du paquet.xml avec inc_version
r24431 | cedric    |  (ven. 22 nov. 2019) | Fix opcache invalidation sur les mutus qui n'ont pas la fonction opcache_invalidate() (Jean Marie)
r24440 | bruno     |  (mer. 04 déc. 2019) | des fichiers CACHEDIR.TAG fonctionnelsretour sur https://core.spip.net/projects/spip/repository/revisions/23514ref https://core.spip.net/issues/2346 & https://bford.info/cachedir/
r24448 | cedric    |  (mer. 04 déc. 2019) | Feu les temps modernes

SPIP-plugins-dist spip-3.2.5 -> spip-3.2.6  10 décembre 2019
-------------------------------------------------------------

r117876 | cedric    |  (mar. 17 sept. 2019) | Report de r117577 et 117578 : Dans le formulaire d'oubli de mot de passe, ne pas dire si l'email est inscrit sur le site ou non, toujours afficher le meme resultat ​https://core.spip.net/issues/4171
r117892 | marcimat  |  (mer. 18 sept. 2019) | Ticket #4383 : Bien prendre en compte les nécessite / utilise des paquets.xml qui ont une balise `<spip>` intégrée. [report de r117891]
r118163 | Cerdic |  (mer. 16 oct. 2019) | Reparer le formulaire de saisie d'un nouveau mot de passe qui ne marchait plus avec les navigateur bases sur webkit/blink : ceux-ci croient reconnaitre le formulaire de login, et preremplissent avec les identifiants enregistres. Du coup faute de mieux ils mettaient le login dans le champ nobot, declenchant un fort peu avenant 'Rien a faire ici' pour les utilisateurs
r118195 | Cerdic |  (ven. 18 oct. 2019) | Trop de n attire l'attention (dd)
r118593 | marcimat  |  (mer. 13 nov. 2019) | Report de r118592 : Ne pas transmettre le paramètre "objet" aux listes d’objets dont on a trouvé le squelette, c’est contre productif, particulièrement lorsque ce paramètre peut servir à autre chose, comme dans le plugin albums.
r118900 | marcimat  |  (mer. 04 déc. 2019) | Rétablir l’ordre un minimum ; on ne tolère aucune manifestation en chaîne. (Alexis Z)
r118901 | marcimat  |  (mer. 04 déc. 2019) | Version 2.20.31

SPIP-Core spip-3.2.4 -> spip-3.2.5  16 septembre 2019
-------------------------------------------------------------
r24283 | ben     |  (lun. 08 avril 2019) | SPIP 3.2.4
r24289 | Cerdic  |  (lun. 08 avril 2019) | Permettre de personaliser le _HEADER_VARY, ce qui peut etre necessaire pour le reverse proxy en amont du frontal
r24306 | Cerdic  |  (jeu. 09 mai 2019)   | Support des images SVG : |balise_img ne cherche pas a calculer une width/height dans ce cas et |balise_svg permet d'inserer le SVG inline avec ou sans alt selon les bonnes pratiques de http://www.accede-web.com/notices/html-css-javascript/6-images-icones/6-2-svg-images-vectorielles/
r24314 | Cerdic  |  (ven. 31 mai 2019)   | Fix : la class filtre_inactif etait inactive si en premiere position de l'attribut class
r24319 | marcimat|  (mer. 12 juin 2019)  | Report de 52d55876e : Petite notice PHP en moins parfois avec une boucle data.
r24322 | marcimat|  (jeu. 04 juil. 2019) | Report de r24321 : Ticket #4351 : utiliser de préférence l’email pour préremplir le formulaire de login lorsque c’est possible.
r24325 | marcimat|  (mar. 16 juil. 2019) | [report de 5749e10f0b] (Warning en PHP 7.2) Éviter une notice PHP lorsque deux plugins de même préfixes sont affichés (sans SVP).
r24380 | Cerdic  |  (lun. 26 août 2019)  | Rewording sur le message de succes eventuel apres envoi d'un email de reset mot de passe
r24381 | Cerdic  |  (lun. 26 août 2019)  | ne rien laisser passer dans var_erreur, c'est encore plus sur et de toute facon on attends pas de HTML ici (Boulouiz Youssouf)
r24382 | Cerdic  |  (lun. 26 août 2019)  | Fix menu 2 col pour ne pas avoir un lien coupe en 2 par le changement de colonne
r24392 | cedric  |  (dim. 15 sept. 2019) | perf issue : eviter d'inclure plein de fichier quand on appelle _T() sans argument
r24397 | cedric  |  (lun. 16 sept. 2019) | sanitizer les URLs de redirection au cas ou (beaucoup de conditions pour arriver la et que ce soit effectivement nocif, mais bon)
r24398 | cedric  |  (lun. 16 sept. 2019) | centraliser les tests identiques c'est plus simple a mainteanir
r24399 | cedric  |  (lun. 16 sept. 2019) | Mise a jour de l'ecran de securite

SPIP-plugins-dist spip-3.2.4 -> spip-3.2.5  16 septembre 2019
-------------------------------------------------------------

r113884 | cedric    |  (mar. 12 févr. 2019) | Report de r113883 : une indirection manquante signalee dans https://core.spip.net/issues/4282 (JLuc)
r114014 | cedric    |  (ven. 22 févr. 2019) | Report de r114013 : Envoyer des mails en from d'un inconnu c'est de l'usurpation d'identite et ca peut vous conduire au commissariat, en plus d'etre vu comme un SPAM par beaucoup de fournisseur de mail. On laisse donc le from par defaut du site, mais un mets un Reply-To a l'envoyeur et l'email de l'envoyeur suppose (mais pas verifie) en signature du message. C'est plus robuste et moins sujet a litige
r114612 | bruno     |  (ven. 22 mars 2019)  | report à l'arrache de r114572 pour sauver les stats de tonton sur plugin.spip :)
r114613 | eric      |  (ven. 22 mars 2019)  | Il manquait la mise à jour de la fonction svp_compter qui était dans un commit précédent à celui qui a été mergé.
r114666 | bruno     |  (jeu. 28 mars 2019)  | version 2.1.8 : report de r114665ne pas afficher le lien "Modifier" au survol si pas autorisé fix #4307
r114855 | marcimat  |  (lun. 08 avril 2019) | Report de r112276 : Fix #4205 : À l’installation, il n’y a pas encore de fichier de sauvegarde des actions SVP. Du coup, il pouvait y avoir un petit bug en tentant de les lire.(Francky).
r114856 | marcimat  |  (lun. 08 avril 2019) | Report de r112275 : Ticket #4205 : Compatibilité PHP 7.3. La librairie PCRE passe en v2, et est moins tolérante.Le caractère -, indiqué dans un bloc de caractères `[ - ]`, pour ne pas être pris pour une déclaration d’intervalle (comme `[a-z]`), doit être soit échappé avec \ soit être en tête ou en fin de la structure.(Francky)
r114857 | marcimat  |  (lun. 08 avril 2019) | Petite version suite aux reports r114855 et r114856
r115009 | rasta     |  (mer. 17 avril 2019) | Report dans la dernière stable de [115008] : Cela fait plus de 8 ans que SPIP dit au gens de se connecter avec leur email dans la notif d'inscription. Et là dans le formulaire de changement de mot de passe, on continuait de leur afficher leur login, dont ils n'avaient jamais entendu parler… On corrige ça, en leur rappelant en priorité l'email s'il existe, et seulement sinon le login.
r115011 | rasta     |  (mer. 17 avril 2019) | Backport [115010] : Correction de la correction : dire aux gens d'utiliser leur login aussi si leur email est déjà utilisé par quelqu'un d'autre, que ce soit dans un champ email ou login (Cédric).
r115017 | rasta     |  (jeu. 18 avril 2019) | Backport de [115016] : Stupéfaction : dans le where de notre API SQL, lorsque c'est un tableau, ça joint les critères avec un AND mais SANS les sécuriser avec des parenthèses svn st! Du coup si dans un élément on a des OR ça pète tout. Faut mettre les parenthèses soi-même.
r115053 | real3t    |  (ven. 26 avril 2019) | Report en 3.2 de r113960 (fixes #4160) : Application du patch proposé ici : ​https://core.spip.net/issues/4160#change-14773 : Les rangs (numéros de titre) des mots clefs ne sont pas affichés dans les listes déroulantes permettant de les affecter à des articles, rubriques... et autres objets.Retour de la fonctionnalité présente en SPIP 2.1 et perdue en 3.0
r115213 | jluc      |  (ven. 03 mai 2019)   | report de 115189 pour SPIP 3.2 (#4325 détection sqlite)
r115621 | rasta     |  (mer. 12 juin 2019)  | roh il manquait un morceau dans le backport en 3.2
r115800 | bruno     |  (jeu. 27 juin 2019)  | report de r115799
r116219 | eric      |  (dim. 04 août 2019)  | Report de 116217.Ajout de l'id du commit GIT pour le flux atom Github
r116220 | eric      |  (dim. 04 août 2019)  | Oups oubli de up de z
r117846 | cedric    |  (sam. 14 sept. 2019) | Update CSSTidy v1.6.5 (compat PHP 7.3)

SPIP-Core spip-3.2.3 -> spip-3.2.4  08 avril 2019
-------------------------------------------------------------

r24221 | Cerdic |  (mar. 12 févr. 2019) | Ecran de securite :* les id_ exceptions dans une variable et on ajoute id_parent et id_article_pdf qui posent parfois problemes* bloquer les paginations croisees dans les calendrier egalement pour les bots (sur certains squelettes genere des tonnes de requetes)* envoyer une 429 Too Many Requests plutot qu'une 503 cf https://webmasters.stackexchange.com/questions/65674/should-i-return-a-429-or-503-status-code-to-a-bot et c'est mieux pour le referencement et GoogleBot qui a tendance a penser que 503 vient d'un serveur mal gere
r24224 | Cerdic |  (mar. 12 févr. 2019) | Retour a une liste complete de bots telle qu'elle etait sur la version non incremente de la zone, et on incremente
r24228 | Cerdic |  (mer. 20 févr. 2019) | Fix : quand on essaye d'activer un plugin qui n'est pas compatible avec la version de SPIP, il faut remonter une erreur d'activationOn modifie pour cela les fonctions* plugin_valide_resume() pour qu'elle renvoie le prefixe du plugin accepte ou la description short du plugin refuse pour incompatibilite ou erreur* liste_plugin_valides() pour qu'elle renvoie en plus la liste des plugins invalides qu'on voulait* plugins_erreurs() pour gerer le cas xml en erreur ou incompatibilite avec la version de SPIP* plugin_message_incompatibilite() pour generer un message d'erreur approprie quand il s'agit de SPIP et pas d'un pluginAucune rupture de compat, ce ne sont que des ajouts : du code qui utilisait les anciennes signatures de fonction continue a fonctionner sans probleme(Dans l'interface on ne peut pas cocher un plugin non compatible avec la version de SPIP, mais en spip-cli on peut le faire et ca echouait silencieusement)
r24229 | Cerdic |  (mer. 20 févr. 2019) | oups, il faut un array ici (complete aba087b3a)
r24234 | marcimat  |  (jeu. 21 févr. 2019) | Coquille ici (déjà corrigée en dev.)
r24235 | marcimat  |  (jeu. 21 févr. 2019) | Reports de r24105 et r24233 :- Ticket #3962 : générer des jpgs progressifs- Ticket #4177 : Lorsqu’une image est déjà présente (dans IMG/) avec une extension ne correspondant pas réellement à son contenu, la librairie GD récente de traitement d’image génère une erreur fatale.On évite ce petit souci en vérifiant le contenu de l’image (via le mime type retourné par getimagesize).
r24237 | Cerdic |  (ven. 22 févr. 2019) | Fix la langue de mail d'envoi des identifiants : il faut prendre celle de l'auteur ou a defaut celle du site, mais pas celle de l'admin
r24257 | Cerdic |  (mer. 13 mars 2019) | Attention au cas ou * en second argument de l'appel de la fonction objet_trouver_lien(), ce qui se produit malheureusement dans la fonction objet_dupliquer_liens()
r24258 | Cerdic |  (mer. 13 mars 2019) | respecter les arguments  et  dans objet_dupliquer_liens(), y compris quand ca concerne un lien qui part de l'objet source
r24271 | marcimat |  (lun. 08 avril 2019) | Report de r24140 : Ticket #4204 : Compatibilité PHP 7.3. La librairie PCRE passe en v2, et est moins tolérante.Le caractère -, indiqué dans un bloc de caractères `[ - ]`, pour ne pas être pris pour une déclaration d’intervalle (comme `[a-z]`), doit être soit échappé avec \ soit être en tête ou en fin de la structure.(Francky)
r24275 | Cerdic |  (lun. 08 avril 2019) | utiliser var_export qui fait le job plus surement
r24276 | Cerdic |  (lun. 08 avril 2019) | sanitizer var_memotri avant de l'utiliser (G0uz)
r24277 | Cerdic |  (lun. 08 avril 2019) | v1.3.11 (securiser var_memotri)


SPIP-plugins-dist spip-3.2.3 -> spip-3.2.4  08 avril 2019
-------------------------------------------------------------

r113589 | e.longuemare |  (jeu. 24 janv. 2019) | Regroupement des référants : correction pour matcher Twitter avec les urls courtes de tyoe t.co et non Qwant - report de r113588
r113735 | cedric    |  (lun. 04 févr. 2019) | Report de r113734 : oups en voulant conserver les commentaires important commencant par un \! on avait introduit un bug sur les commentaires vides
r113878 | cedric    |  (mar. 12 févr. 2019) | Report de r113877 : Fix https://core.spip.net/issues/4282 casse par r87494 qui avait renomme par erreur la boucle _forum en _forums (JLuc)
r113884 | cedric    |  (mar. 12 févr. 2019) | Report de r113883 : une indirection manquante signalee dans https://core.spip.net/issues/4282 (JLuc)
r114014 | cedric    |  (ven. 22 févr. 2019) | Report de r114013 : Envoyer des mails en from d'un inconnu c'est de l'usurpation d'identite et ca peut vous conduire au commissariat, en plus d'etre vu comme un SPAM par beaucoup de fournisseur de mail. On laisse donc le from par defaut du site, mais un mets un Reply-To a l'envoyeur et l'email de l'envoyeur suppose (mais pas verifie) en signature du message. C'est plus robuste et moins sujet a litige
r114612 | bruno     |  (ven. 22 mars 2019) | report à l'arrache de r114572 pour sauver les stats de tonton sur plugin.spip :)
r114613 | eric      |  (ven. 22 mars 2019) | Il manquait la mise à jour de la fonction svp_compter qui était dans un commit précédent à celui qui a été mergé.
r114666 | bruno    |  (jeu. 28 mars 2019) | version 2.1.8 : report de r114665ne pas afficher le lien "Modifier" au survol si pas autorisé fix #4307



SPIP-Core spip-3.2.2 -> spip-3.2.3  21 janvier 2019
-------------------------------------------------------------
Oups : problème de génération du zip 


SPIP-Core spip-3.2.1 -> spip-3.2.2  18 janvier 2019
-------------------------------------------------------------

r23927 | booz      |  (mer. 28 févr. 2018) | Report de [23926] ; voir aussi https://core.spip.net/issues/3924
r23939 | ben       |  (mer. 14 mars 2018) | 3.2.1 PARTEZ !
r23950 | cedric    |  (ven. 16 mars 2018) | Up ecran securite pour valider_xml encore
r23960 | erational |  (lun. 26 mars 2018) | Bonne année 2018
r23962 | marcimat  |  (mar. 27 mars 2018) | report de r23961 : Suite de r23646 sur le calcul du token de prévisu.Il se trouve que ça ne fonctionnait pas avec les URLs Page ou simples, car le paramètre var_mode était mal nettoyé pour calculer le token (on ajoutait &var_mode au lieu de &var_mode).Ça ne se voyait pas avec les autres types d’URLs.Merci Jack31 du signalement.
r23969 | cedric    |  (mer. 18 avril 2018) | Report de r23968 : cet espace ajoute a tort par r22569 casse l'affichage des tags dans les articles syndiques de l'espace prive
r23972 | Nicod     |  (ven. 04 mai 2018) | Report de r23971 pour SPIP 3.2 : nouveaux habits pour la minipres
r23974 | Nicod     |  (sam. 05 mai 2018) | Report de r23973 : Ajustements pour la phase d'installation
r23988 | ben       |  (mar. 15 mai 2018) | Dites 33 ! prendre en compte un protocole plus long que d'habitude pour les urls maSuperAppli:// ... On passe de 7 à 33 ce qui devrait largement convenir https://core.spip.net/issues/4135
r23992 | b_b       |  (mer. 30 mai 2018) | report de r23991
r23995 | Nicod     |  (mer. 06 juin 2018) | Report de r23994 :  Compacter un peu les marges pour diminuer la hauteur des fenêtres minipres
r23999 | cedric    |  (mar. 12 juin 2018) | intval ici, c'est pas plus mal
r24003 | b_b       |  (jeu. 14 juin 2018) | report de r24002Fix #4137 : réparer le critère par hasard sur les boucles dataqui ne fonctionnait plus suite à r23364 / merci marcimat choubidou pour la solution :)
r24005 | b_b       |  (ven. 15 juin 2018) | report de r24004Fix #4151 : passer l'id_groupe en paramètre lors de la "création rapide" d'un mot depuis une page mot... en passant id_groupe dans le contexte du bandeaupatch temporaire en attendant que #3844 soit réglé
r24007 | marcimat  |  (sam. 23 juin 2018) | Éviter une notice PHP si cette constante _UPGRADE_TIME_OUT a été préalablement déclarée.
r24012 | cedric    |  (ven. 29 juin 2018) | Retablir le support des sockets dans connect.php que le passage a mysqli avait casse (syntaxe differente entre mysql_connect() et mysqli_connect())
r24013 | cedric    |  (ven. 29 juin 2018) | complement de r24012 pour la connexion en mysqli par socket : il faut mettre null dans le port, fournir login et pass et le host peut etre 'localhost'
r24018 | cedric    |  (mar. 03 juil. 2018) | Fix #4157 : les inconsistances de PHP nous avaient enduit en erreur. On croyait bien faire en explicitant tls:// comme protocole pour l'ouverture des sockets, grave erreur cela limitait a SSLv1.0.Il faut revenir a ssl:// pour avoir une negociation sans limite du protocole crypto et donv pouvoir acceder a TLSv1.1 ou TLSv1.2 pour les serveurs qui ne supportent que cela les autres etant non securises
r24028 | rasta     |  (mar. 17 juil. 2018) | Backport de r24027 : Mieux y voir dans tous les cas dans les inclure, parce que des fois c'est rendu illisible.
r24032 | booz      |  (mer. 01 août 2018) | report de [24029], [24030] et [24031]
r24034 | cedric    |  (jeu. 02 août 2018) | Report de r24033 : Appel du cron non bloquant :L'appel du cron de secours via une image background bloque certains scripts JS le temps que le cron s'execute, ce qui peut etre genantOn modernise via un appel en JS+xhr simple (pas grave si ne marche pas sur des vieux navigateurs) et un <noscript> avec l'ancien code en fallback
r24039 | b_b       |  (mer. 15 août 2018) | report de r24038Fix #4167 : éviter d'afficher le script de redirection js quand le form de login est utilisé en ajax avec le mode parano
r24052 | Nicod     |  (sam. 08 sept. 2018) | Report de c24051Si on a un logo d'auteur, on l'affiche à côté de l'input var_login et on réduit un peu la largeur de celui ci, pour que le logo soit aligné à droite.
r24054 | Nicod     |  (sam. 08 sept. 2018) | Un logo carré de 48px, affiché dans un cercle.
r24058 | b_b       |  (sam. 15 sept. 2018) | report de r24057Fix #4043 : table debug-nav en partie masquée
r24068 | cedric    |  (mer. 26 sept. 2018) | Report de r24067 : Fix #4153 : enregistrer la session sur disque apres le login et avant la redirection si besoin
r24070 | cedric    |  (mer. 26 sept. 2018) | Report de r24069 : Fix #4144 : si on fait un session_set() dans mes_fonctions.php il ne faut pas que ca fasse planter par appel de autoriser() alors meme qu'on vient deja de inc/autoriser-> on deplace l'inclusion du fichier mes_fonctions.php apres la declaration de la fonction autoriser() ce qui ne permet plus de la surcharger dans mes_fonctions.php, mais c'st un cas d'usage rarrissime
r24072 | cedric    |  (jeu. 27 sept. 2018) | Report de r24071 : Fix #4131 : une constante _COUPER_SUITE pour definir la suite par defaut de |couper, et si _INTRODUCTION_SUITE n'est pas definie c'est la valeur par defaut de couper ou _COUPER_SUITE qui sera utilisee
r24073 | cedric    |  (jeu. 27 sept. 2018) | Report de r24064 : https://core.spip.net/issues/4166 : quand la globale filtrer_javascript vaut -1 (mode parano) il faut aussi proteger le html suspect dans l'espace public
r24074 | cedric    |  (jeu. 27 sept. 2018) | Report de r24065 : https://core.spip.net/issues/4168 : echapper les : qui sont dans une url renvoyee par #SELF
r24075 | cedric    |  (jeu. 27 sept. 2018) | Report de r24050 : debut de solution pour #4173 mais il manque les tests unitaires pour verifier que ca marche bien
r24076 | cedric    |  (jeu. 27 sept. 2018) | Report de r24062 : fix protocole_verifier (copier-coller abusif)
r24077 | cedric    |  (jeu. 27 sept. 2018) | Report de r24063 : debug fonction valider_url_distante() https://core.spip.net/issues/4173
r24082 | cedric    |  (jeu. 27 sept. 2018) | Report de r24081 : ecriture des fichiers php compiles des plugins : on ne les ecrits que si le contenu change, pour optimiser la gestion du cache et des invalidations
r24084 | cedric    |  (jeu. 27 sept. 2018) | Report de r24083 : #4107 : gerer proprement les cas ou opcache_invalidate() ne peut pas invalider un cache opcode et dans ce cas uniquement temporiser les hits via spip_attend_invalidation_opcode_cache avant installation des plugins, en lui passant toutefois la date du fichier php compile le plus recent pour limiter au maximum les risques d'attente
r24086 | cedric    |  (ven. 28 sept. 2018) | Report de r24085 : Fix #4086 : detection des exceptions au proxy, prendre en compte les domaines parents ce qui permet de placer une exception sur une extension ou un domaine et qui s'appliquera a tous les sous, sous-sous, sous-sous-sous-domaines etc...
r24088 | cedric    |  (ven. 28 sept. 2018) | Report de r24087 : #4086 : on revient sur r24085 qui avait mal interprete la spec existante
r24090 | cedric    |  (ven. 28 sept. 2018) | Report de r24089 : Fix #4077 : ameliorer la detection d'Apache mais pas de miracle en php-fpm seule la signature presente dans  marche, donc si on la supprime il faut ajouter le define
r24092 | cedric    |  (ven. 28 sept. 2018) | Report de r24091 : Fix #4062 : eviter un indefini
r24095 | cedric    |  (ven. 28 sept. 2018) | Report de r24094 : Fix #4046 : eviter des indefinies
r24103 | erational |  (sam. 29 sept. 2018) | report de r24102 : #4178 Habiller la class .attention comme une notice
r24110 | cedric    |  (sam. 29 sept. 2018) | Report de r24109 : Fix #3564 : en statut propose c'est la date de publi de l'article qu'on regle
r24116 | erational |  (lun. 01 oct. 2018) | report de r24115 : #4185 pas de text-align:justify pour l'accessiblité (RealET)
r24120 | b_b       |  (dim. 07 oct. 2018) | report de r24119
r24124 | b_b       |  (sam. 13 oct. 2018) | report de r24123
r24128 | cedric    |  (ven. 19 oct. 2018) | des scories historiques sur le formulaire de login le rendait un peu disgracieux et pas super fonctionnel en mode ajax, avec double message de redirection + quand on allait sur la page de login en etant connecte on avait un lien 'par ici...' au lieu d'une redirection directs plus efficace
r24132 | cedric    |  (jeu. 25 oct. 2018) | Report de r24131 : la fonction echapper_html_suspect() peut etre surchargee par une fonction inc_echapper_html_suspect_dist() dans un plugin, pour traiter specifiquement certains use case
r24136 | fil       |  (mer. 31 oct. 2018) | 1.3.8, report de http://core.spip.org/projects/spip/repository/revisions/24134 + http://core.spip.org/projects/spip/repository/revisions/24135
r24137 | fil       |  (mer. 31 oct. 2018) | alphabetique
r24144 | booz      |  (mar. 06 nov. 2018) | report de [24143]
r24148 | b_b       |  (jeu. 15 nov. 2018) | report de r24147
r24153 | cedric    |  (mar. 04 déc. 2018) | Report de r24152 : Quand on fait une requete http/https sur un port non standard il faut suffixer le host envoye dans l'entete tcp, sinon le $[SERVER_PORT] n'est pas renseigne a l'arrivee(fix le fait qu'on avait un resultat different entre un curl http://localhost:8888/ et un recuperer_url() sur la meme url)
r24156 | cedric    |  (mer. 05 déc. 2018) | Report de r24155 : pour certaines API il est vital d'etre a la racine du site, et pas dans un sous repertoire. On permet donc d'utiliser indifferement un . ou un / dans les URLs d'appel aux APIex : https://site/offline.api.sw.js
r24159 | cedric    |  (mer. 05 déc. 2018) | Report de r24158 : Suite de r24152 : quand le cron est sur un port non standard il faut ajouter le port au host envoye en TCP pour que le SERVER_PORT soit bien renseigne a l'arrivee (localhost:8888 dans mon cas)
r24163 | marcimat  |  (mar. 11 déc. 2018) | Ticket #4245 :  Correction empêchant la création de certains répertoires, s’ils ont un souligné final dans leur nom.Lorsque la constante _CREER_DIR_PLAT n’est pas définie, ne pas supprimer les soulignés finaux des répertoires.À l’inverse, par contre le faire aussi pour $subdir si la constante est là (sinon, on a une incohérence entre les appels `sous_repertoire('a/b_')` et `sous_repertoire('a', 'b_')`.Note: on ne gèrera plus ce vieux _CREER_DIR_PLAT à partir de SPIP 3.3-dev.Corrige, entre autres un bug dans le plugin Bigup empêchant la réception de certains fichiers.
r24168 | fil       |  (lun. 17 déc. 2018) | bugfix: liens_ouvrants() n'ouvrait plus que le premier lien du texte(bug introduit par https://core.spip.net/projects/spip/repository/revisions/23162/diff/spip/ecrire/inc/filtres.php)report de [24167]
r24169 | rasta     |  (lun. 17 déc. 2018) | Bug d'édition des dates, les statuts sont mouvants puisque API de déclaration, mais l'autorisation contenait en dur uniquement le statut publie. Du coup impossible d'éditer si autre chose de déclaré. On utilise donc la liste réelle si elle existe, sinon l'ancien truc en dur.
r24172 | cedric    |  (dim. 23 déc. 2018) | Report de r24171 : Comme plus haut en ligne 494, si on recupere le contenu de l'URL par un moyen detourne, il faut mettre un status 200 et ne pas le laisser vide (Arno*)
r24181 | cedric    |  (lun. 07 janv. 2019) | Un .gitignore qui fait le job
r24185 | marcimat  |  (lun. 07 janv. 2019) | Ticket #4258 : Éviter une notice si la constante _SPIP_SELECT_RUBRIQUES a été préalablement définie (6ril).Report de 63e5a2dee et d827ffd5f
r24190 | cedric    |  (mer. 09 janv. 2019) | le futur c'est maintenant
r24194 | marcimat  |  (jeu. 10 janv. 2019) | Ticket #4222 : Report oublié de r21880 pour id_table_objet() sur tables non SPIP. (RealET)
r24199 | cedric    |  (mer. 16 janv. 2019) | eviter d'envoyer un header invalide qui fait planter apache+php-fpm si jamais on fait un define('_HEADER_COMPOSED_BY','') (mod_apache ignorait silencieusement le probleme)

SPIP-plugins-dist spip-3.2.1 -> spip-3.2.2  18 janvier 2019
-------------------------------------------------------------

r109454 | booz      |  (lun. 12 mars 2018) | z+1 (franck)
r109645 | Teddy     |  (ven. 23 mars 2018) | Report de r109644 : Ne pas envoyer la chaine traduite ici. C'est label_champ() qui s'en occupera.
r109648 | Teddy     |  (ven. 23 mars 2018) | Report de r109647 : Pouvoir cibler une révision d'un type d'objet précis en CSS.
r109743 | tcharlss  |  (sam. 31 mars 2018) | Report de r109742
r109751 | Francky   |  (dim. 01 avril 2018) | Bonne année aussi aux plugins-dist :-D
r109762 | tcharlss  |  (dim. 01 avril 2018) | revert de r109743 en attendant des retours
r109768 | b_b       |  (lun. 02 avril 2018) | report de r109767Fix #4122 : correction chemin lib swf suite à r103728
r109861 | cedric    |  (mar. 10 avril 2018) | Report de r109860 : Mise a jour de CSSTidy
r109873 | real3t    |  (mer. 11 avril 2018) | Report de r109871 : r107073 avait cassé le traitement des expression régulières dans les query (ex : Google). ==> Il est bien possible que ça remette un notice (Marcimat ?)
r109886 | fil       |  (jeu. 12 avril 2018) | la recherche par mots-clés doit donner le ou les mots demandés en tete de liste ; on peut donner les mots séparés par des virgules
r110340 | erational |  (mar. 22 mai 2018) | Ajout d'un espace pour éviter que l'icône touche le texte
r110473 | marcimat  |  (ven. 01 juin 2018) | Coquille dans r104339 : ce header est un morceau de debug qui ne devrait pas y être.
r110686 | real3t    |  (ven. 15 juin 2018) | fixes #3976 : Pouvoir revenir au mot clef nouvellement créé au  lieu du comportement dérogatoire natif consistant à revenir à la page où était le bouton de création du mot.Dans mes_options.php :if (!defined('_MOTS_CREATION_RETOUR_MOT_CREE'))	define('_MOTS_CREATION_RETOUR_MOT_CREE', true);
r111042 | b_b       |  (lun. 09 juil. 2018) | version 1.2.4 : report de r111041maj des libs fullcalendar (3.9.0) et moment (2.22.2)
r111484 | marcimat  |  (mer. 05 sept. 2018) | Report de r111483 Compat PHP 7 et coquille…
r111601 | b_b       |  (sam. 15 sept. 2018) | report de r111600version 2.8.6 : réparer l'affichage du portfolio sur les groupes de motsFix #4172 groupemots n'est pas un surnom de groupe_mots
r111604 | b_b       |  (dim. 16 sept. 2018) | report de r111603
r111608 | b_b       |  (dim. 16 sept. 2018) | report de r111607
r111696 | cedric    |  (mer. 26 sept. 2018) | Report de r111695 : Fix https://core.spip.net/issues/4132 : une fonction escape/unescape avec de la croute pour echapper sans risque ni failure et ne pas casser le code JS qu'on compresse
r111705 | cedric    |  (jeu. 27 sept. 2018) | Report de r111703 : Fix https://core.spip.net/issues/4127 : ne pas creer une revision vide lors de la creation d'un objet a cause de l'association auteur automatique
r111706 | cedric    |  (jeu. 27 sept. 2018) | Report de r111704 : Fix https://core.spip.net/issues/3566 et suite de r99883 : on peut maintenant activer la fonction recuperer_version_complete() grace a r111705
r111710 | cedric    |  (jeu. 27 sept. 2018) | Report de r111709 : Mise a jour de SafeHTML pour le support de HTML5 notamment
r111711 | cedric    |  (jeu. 27 sept. 2018) | Report de r111690 : https://core.spip.net/issues/4166 : quand la globale filtrer_javascript vaut -1 (mode parano) il faut aussi proteger le html suspect dans l'espace public
r111712 | cedric    |  (jeu. 27 sept. 2018) | Report de r111695 : Fix https://core.spip.net/issues/4132 : une fonction escape/unescape avec de la croute pour echapper sans risque ni failure et ne pas casser le code JS qu'on compresse
r111713 | cedric    |  (jeu. 27 sept. 2018) | Report de r111687 : https://core.spip.net/issues/4173 : ne pas permettre d'acceder a des URLs locales du serveur via l'upload de documents distants
r111715 | cedric    |  (jeu. 27 sept. 2018) | Report de r109644 : Fix #4116 : Ne pas envoyer la chaine traduite ici. C'est label_champ() qui s'en occupera.
r111719 | cedric    |  (jeu. 27 sept. 2018) | Report de r111718 : Fix https://core.spip.net/issues/4114 : utiliser l'argument de la fonction et pas une constante pour le dossier de deballage
r111723 | cedric    |  (jeu. 27 sept. 2018) | Report de r111721 : Complement de http://core.spip.org/projects/spip/repository/revisions/24083
r111750 | cedric    |  (ven. 28 sept. 2018) | Report de r109858 : Ticket #3991 : préserver les ressources encodées en base64. Lorsqu'une valeur est égale à zéro (ex 0px), s'assurer qu'il s'agit d'une unité avant de retirer celle-ci (une chaîne encodée en base64 peut également contenir des parties '0px')
r111751 | marcimat  |  (ven. 28 sept. 2018) | Report de r111741 : Ticket ​https://core.spip.net/issues/4085 : On met une clé d’index sur le champ url.
r111766 | cedric    |  (sam. 29 sept. 2018) | Maj de CSSTidy en v1.6.3
r111779 | cedric    |  (sam. 29 sept. 2018) | Report de r111776 : https://core.spip.net/issues/3987 : preserver les commentaires des credits dans les CSS minifiees
r111780 | cedric    |  (sam. 29 sept. 2018) | Report de r111778 : Fix https://core.spip.net/issues/3987 : ne pas supprimer les commentaires de credit/licence commençant par un \! lors de la minification CSS
r111789 | real3t    |  (sam. 29 sept. 2018) | Avec l'aide de Marcimat, up de la lib de 1.1.14 vers 1.1.15 (https://github.com/markitup/1.x/blob/master/CHANGELOG.md)
r111927 | tcharlss  |  (mar. 09 oct. 2018) | Report de r111914
r112159 | real3t    |  (mer. 24 oct. 2018) | [Medias] Report de r112158Ergonomie : quand on supprime un ou plusieurs documents, ne pas scroller tout en haut de la liste, mais au contraire, rester sur place pour pouvoir continuer là où on était.
r112229 | peetdu    |  (mer. 31 oct. 2018) | Report de r112160 : permettre de surcharger la constante _BOUTON_MODE_IMAGE
r112231 | booz      |  (mer. 31 oct. 2018) | affichage des stats plus lisible avec des stats au dessus de 100 000 visites.
r112232 | booz      |  (mer. 31 oct. 2018) | affichage des stats plus lisible avec des stats au dessus de 100 000 visites. (oups)
r112283 | booz      |  (ven. 02 nov. 2018) | ajout duckduckgo
r112327 | booz      |  (lun. 05 nov. 2018) | adapter aux visites > 100 000 + report de [107993]
r112331 | booz      |  (lun. 05 nov. 2018) | report de [112330]
r112357 | booz      |  (mer. 07 nov. 2018) | report de [112346]
r112359 | booz      |  (mer. 07 nov. 2018) | report de [112358]
r112453 | peetdu    |  (ven. 16 nov. 2018) | Simplification du squelette grâce au critère {‘inter’} (voir https://www.spip.net/fr_article900.html?var_mode=calcul#Affichage-entre-les-resultats)
r112456 | b_b       |  (ven. 16 nov. 2018) | version 1.8.3 : report de r112455
r113162 | Francky   |  (dim. 30 déc. 2018) | Mise à jour de la lib getid en version 1.9.16, nous étions en 1.9.14https://github.com/JamesHeinrich/getID3/blob/master/changelog.txt
r113165 | Francky   |  (dim. 30 déc. 2018) | Oubli de faire un z+1 pour la peine
r113345 | Francky   |  (mer. 09 janv. 2019) | Le futur, c'est aussi maintenant ici :-)
r113382 | Francky   |  (sam. 12 janv. 2019) | restait un bonne année à faire en spip 3.2
